From 77cb3a4f20d8f8f91486f31a589622936df6028f Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 29 Mar 2024 09:38:02 +0200
Subject: [PATCH 17/48] Add Louisianian nation

Ruleset by _Rorr404, with minor adjustment by me

See RM #294

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/default/nationlist.ruleset       |   1 +
 data/flags/Makefile.am                |   5 +
 data/flags/louisiana-large.png        | Bin 0 -> 564 bytes
 data/flags/louisiana-shield-large.png | Bin 0 -> 418 bytes
 data/flags/louisiana-shield.png       | Bin 0 -> 353 bytes
 data/flags/louisiana.png              | Bin 0 -> 502 bytes
 data/flags/louisiana.svg              | 156 +++++++++++++++++++++
 data/misc/flags-large.spec            |   1 +
 data/misc/flags.spec                  |   2 +
 data/misc/shields-large.spec          |   1 +
 data/misc/shields.spec                |   1 +
 data/nation/Makefile.am               |   1 +
 data/nation/american.ruleset          |   2 +-
 data/nation/confederate.ruleset       |   2 +-
 data/nation/louisianian.ruleset       | 187 ++++++++++++++++++++++++++
 meson.build                           |   2 +
 translations/nations/POTFILES.in      |   1 +
 17 files changed, 360 insertions(+), 2 deletions(-)
 create mode 100644 data/flags/louisiana-large.png
 create mode 100644 data/flags/louisiana-shield-large.png
 create mode 100644 data/flags/louisiana-shield.png
 create mode 100644 data/flags/louisiana.png
 create mode 100644 data/flags/louisiana.svg
 create mode 100644 data/nation/louisianian.ruleset

diff --git a/data/default/nationlist.ruleset b/data/default/nationlist.ruleset
index 6b449047b2..4d1decd429 100644
--- a/data/default/nationlist.ruleset
+++ b/data/default/nationlist.ruleset
@@ -416,6 +416,7 @@ default_nationset = "all"
 *include "nation/lithuanian.ruleset"
 *include "nation/lojbanistani.ruleset"
 *include "nation/lorrain.ruleset"
+*include "nation/louisianian.ruleset"
 *include "nation/luhansk.ruleset"
 *include "nation/luwian.ruleset"
 *include "nation/luxembourgish.ruleset"
diff --git a/data/flags/Makefile.am b/data/flags/Makefile.am
index d1dc3fec06..e352bb344e 100644
--- a/data/flags/Makefile.am
+++ b/data/flags/Makefile.am
@@ -299,6 +299,7 @@ flag_files =				\
 		lippe.png		\
 		lithuania.png		\
 		lorraine.png		\
+		louisiana.png		\
 		luhansk.png		\
 		luik.png		\
 		luna.png		\
@@ -877,6 +878,7 @@ flag_files =				\
 		lippe-large.png			\
 		lithuania-large.png		\
 		lorraine-large.png		\
+		louisiana-large.png		\
 		luhansk-large.png		\
 		luik-large.png			\
 		luna-large.png			\
@@ -1457,6 +1459,7 @@ shield_files =					\
 		lippe-shield.png		\
 		lithuania-shield.png		\
 		lorraine-shield.png		\
+		louisiana-shield.png		\
 		luhansk-shield.png		\
 		luik-shield.png			\
 		luna-shield.png			\
@@ -2035,6 +2038,7 @@ shield_files =					\
 		lippe-shield-large.png			\
 		lithuania-shield-large.png		\
 		lorraine-shield-large.png		\
+		louisiana-shield-large.png		\
 		luhansk-shield-large.png		\
 		luik-shield-large.png			\
 		luna-shield-large.png			\
@@ -2615,6 +2619,7 @@ svg_files = 				\
 		lippe.svg		\
 		lithuania.svg		\
 		lorraine.svg		\
+		louisiana.svg		\
 		luhansk.svg		\
 		luik.svg		\
 		luna.svg		\
diff --git a/data/flags/louisiana-large.png b/data/flags/louisiana-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..a76bd59bbeb27b1629810ac4f9207d9968ccc4ec
GIT binary patch
diff --git a/data/flags/louisiana-shield-large.png b/data/flags/louisiana-shield-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..8a76764f4e19691ceb1405c571f4f42a66b254f7
GIT binary patch
diff --git a/data/flags/louisiana-shield.png b/data/flags/louisiana-shield.png
new file mode 100644
index 0000000000000000000000000000000000000000..507c25dad80ce19b80dd68406e2374409f3fba0e
GIT binary patch
diff --git a/data/flags/louisiana.png b/data/flags/louisiana.png
new file mode 100644
index 0000000000000000000000000000000000000000..075d24b51e060d45feb41bba2dfa2254614177a0
GIT binary patch
diff --git a/data/flags/louisiana.svg b/data/flags/louisiana.svg
new file mode 100644
index 0000000000..18a2c5bbe8
--- /dev/null
+++ b/data/flags/louisiana.svg
@@ -0,0 +1,156 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   id="svg2"
+   sodipodi:version="0.32"
+   inkscape:version="0.48.1 "
+   width="2161.4175"
+   height="1381.8898"
+   version="1.0"
+   sodipodi:docname="ZZ1.svg">
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <defs
+     id="defs5" />
+  <sodipodi:namedview
+     inkscape:window-height="1004"
+     inkscape:window-width="1280"
+     inkscape:pageshadow="2"
+     inkscape:pageopacity="1"
+     borderopacity="1.0"
+     bordercolor="#666666"
+     pagecolor="#ffffff"
+     id="base"
+     showgrid="false"
+     inkscape:grid-points="true"
+     gridtolerance="1cm"
+     inkscape:zoom="0.24078171"
+     inkscape:cx="1758.316"
+     inkscape:cy="966.63701"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:current-layer="svg2"
+     inkscape:document-units="cm"
+     showguides="true"
+     inkscape:guide-bbox="true"
+     guidetolerance="0.5cm"
+     units="cm"
+     fit-margin-top="0"
+     fit-margin-left="0"
+     fit-margin-right="0"
+     fit-margin-bottom="0"
+     inkscape:window-maximized="1">
+    <inkscape:grid
+       id="GridFromPre046Settings"
+       type="xygrid"
+       originx="0px"
+       originy="0cm"
+       spacingx="1cm"
+       spacingy="1cm"
+       color="#0000ff"
+       empcolor="#0000ff"
+       opacity="0.2"
+       empopacity="0.4"
+       empspacing="3"
+       units="cm"
+       visible="true"
+       enabled="true"
+       snapvisiblegridlinesonly="true" />
+  </sodipodi:namedview>
+  <rect
+     style="fill:#ffffff;fill-opacity:1;stroke:none"
+     id="rect1303"
+     width="2161.4172"
+     height="1381.8898"
+     x="0"
+     y="0" />
+  <rect
+     y="425.19687"
+     x="637.79529"
+     height="106.29921"
+     width="1523.6221"
+     id="rect4810"
+     style="fill:#002868;fill-opacity:1;stroke:none" />
+  <rect
+     style="fill:#002868;fill-opacity:1;stroke:none"
+     id="rect4812"
+     width="1523.6221"
+     height="106.29921"
+     x="637.79529"
+     y="3.0036999e-006" />
+  <rect
+     style="fill:#bf0a30;fill-opacity:1;stroke:none"
+     id="rect2177"
+     width="744.09448"
+     height="744.09448"
+     x="1.1173759e-005"
+     y="6.0073999e-006" />
+  <rect
+     style="fill:#bf0a30;fill-opacity:1;stroke:none"
+     id="rect3052"
+     width="1488.189"
+     height="106.29921"
+     x="673.22833"
+     y="637.79529" />
+  <rect
+     y="212.59843"
+     x="673.22833"
+     height="106.29921"
+     width="1488.189"
+     id="rect3054"
+     style="fill:#bf0a30;fill-opacity:1;stroke:none" />
+  <rect
+     y="1062.9922"
+     x="9.2513919e-006"
+     height="106.29921"
+     width="2161.4172"
+     id="rect3929"
+     style="fill:#bf0a30;fill-opacity:1;stroke:none" />
+  <rect
+     y="1275.5906"
+     x="9.2513919e-006"
+     height="106.29921"
+     width="2161.4172"
+     id="rect3933"
+     style="fill:#002868;fill-opacity:1;stroke:none" />
+  <rect
+     style="fill:#002868;fill-opacity:1;stroke:none"
+     id="rect4808"
+     width="2161.4172"
+     height="106.29921"
+     x="9.5757918e-005"
+     y="850.39374" />
+  <path
+     sodipodi:type="star"
+     style="fill:#ffd90f;fill-opacity:1;stroke:none"
+     id="path5687"
+     sodipodi:sides="5"
+     sodipodi:cx="283.46457"
+     sodipodi:cy="212.59843"
+     sodipodi:r1="737.31445"
+     sodipodi:r2="276.49289"
+     sodipodi:arg1="1.0471976"
+     sodipodi:arg2="1.6755161"
+     inkscape:flatsided="false"
+     inkscape:rounded="0"
+     inkscape:randomized="0"
+     d="M 652.12176,851.1315 254.56319,487.57667 -209.89512,760.52983 13.013712,270.08453 -390.10569,-87.294404 145.21813,-26.851434 360.53495,-520.67693 468.47443,7.1241778 1004.6669,59.302175 536.05339,325.05823 z"
+     transform="matrix(0.369626,-0.03943543,0.03943543,0.369626,257.93491,322.97329)" />
+</svg>
diff --git a/data/misc/flags-large.spec b/data/misc/flags-large.spec
index a42fe513fc..f2ee138e33 100644
--- a/data/misc/flags-large.spec
+++ b/data/misc/flags-large.spec
@@ -308,6 +308,7 @@ sprites =
 		"f.lithuania", "flags/lithuania-large"
 		"f.lombardy", "flags/lombardy-large"
 		"f.lorraine", "flags/lorraine-large"
+                "f.louisiana", "flags/louisiana-large"
                 "f.luhansk", "flags/luhansk-large"
 		"f.luik", "flags/luik-large"
 		"f.luna", "flags/luna-large"
diff --git a/data/misc/flags.spec b/data/misc/flags.spec
index 53f17134fe..a20aaee798 100644
--- a/data/misc/flags.spec
+++ b/data/misc/flags.spec
@@ -306,6 +306,7 @@ artists = "
    Lithuania		Christian Schaller
    Lombardy		Flanker (Wikimedia Commons)
    Lorraine		J.M. Maalderink
+   Louisiana            Fry1989 (Wikimedia Commons)
    Luhansk              Wikimedia Commons
    Luik			Jed (Wikimedia Commons)
    Luna			Daniel Markstedt
@@ -887,6 +888,7 @@ sprites =
 		"f.lithuania", "flags/lithuania"
 		"f.lombardy", "flags/lombardy"
 		"f.lorraine", "flags/lorraine"
+                "f.louisiana", "flags/louisiana"
                 "f.luhansk", "flags/luhansk"
 		"f.luik", "flags/luik"
 		"f.luna", "flags/luna"
diff --git a/data/misc/shields-large.spec b/data/misc/shields-large.spec
index f9ace21370..cfeac7065d 100644
--- a/data/misc/shields-large.spec
+++ b/data/misc/shields-large.spec
@@ -308,6 +308,7 @@ sprites =
 		"f.shield.lippe", "flags/lippe-shield-large"
 		"f.shield.lithuania", "flags/lithuania-shield-large"
 		"f.shield.lorraine", "flags/lorraine-shield-large"
+                "f.shield.louisiana", "flags/louisiana-shield-large"
                 "f.shield.luhansk", "flags/luhansk-shield-large"
 		"f.shield.luik", "flags/luik-shield-large"
 		"f.shield.luna", "flags/luna-shield-large"
diff --git a/data/misc/shields.spec b/data/misc/shields.spec
index e4d1f5d10f..f04e3e5765 100644
--- a/data/misc/shields.spec
+++ b/data/misc/shields.spec
@@ -307,6 +307,7 @@ sprites =
 		"f.shield.lippe", "flags/lippe-shield"
 		"f.shield.lithuania", "flags/lithuania-shield"
 		"f.shield.lorraine", "flags/lorraine-shield"
+                "f.shield.louisiana", "flags/louisiana-shield"
                 "f.shield.luhansk", "flags/luhansk-shield"
 		"f.shield.luik", "flags/luik-shield"
 		"f.shield.luna", "flags/luna-shield"
diff --git a/data/nation/Makefile.am b/data/nation/Makefile.am
index 8c5a6cc2f9..04afa1a569 100644
--- a/data/nation/Makefile.am
+++ b/data/nation/Makefile.am
@@ -300,6 +300,7 @@ pkgdata_DATA = \
 		lithuanian.ruleset \
 		lojbanistani.ruleset \
 		lorrain.ruleset \
+		louisianian.ruleset \
 		luhansk.ruleset \
 		luwian.ruleset \
 		luxembourgish.ruleset \
diff --git a/data/nation/american.ruleset b/data/nation/american.ruleset
index 71cd29ee82..0601ae2317 100644
--- a/data/nation/american.ruleset
+++ b/data/nation/american.ruleset
@@ -58,7 +58,7 @@ init_techs = ""
 init_buildings = ""
 init_units = ""
 
-civilwar_nations = "confederate"
+civilwar_nations = "confederate", "louisianian"
 
 cities =
  "Washington (ocean, river, swamp, !desert)",
diff --git a/data/nation/confederate.ruleset b/data/nation/confederate.ruleset
index b0021c3264..e7b5e5108f 100644
--- a/data/nation/confederate.ruleset
+++ b/data/nation/confederate.ruleset
@@ -45,7 +45,7 @@ init_buildings = ""
 init_units = ""
 
 conflicts_with = "texan"
-civilwar_nations = "american", "texan"
+civilwar_nations = "american", "texan", "louisianian"
 
 cities =
 ; Capitals and was-to-be capitals
diff --git a/data/nation/louisianian.ruleset b/data/nation/louisianian.ruleset
new file mode 100644
index 0000000000..3aca142d20
--- /dev/null
+++ b/data/nation/louisianian.ruleset
@@ -0,0 +1,187 @@
+[nation_louisianian]
+
+name   = _("Louisianian")
+plural = _("?plural:Louisianians")
+groups = "Early Modern", "American"
+legend = _("Louisiana is a state in the Deep South of the United\
+ States of America known for its distinct French culture, on\
+ January 26, 1861, the state voted to seceed from the United States,\
+ existing independently for a short time until February 26, 1861\
+ when it finally joined the Confederate States of America. The\
+ state was formally admitted back into the union on July 9, 1868.")
+
+leaders = {
+ "name",                        "sex"
+ "William C. C. Claiborne",     "Male"
+ "Jacques Villeré",             "Male"
+ "Thomas B. Robertson",         "Male"
+ "Henry S. Thibodaux",          "Male"
+ "Andre B. Roman",              "Male"
+ "Isaac Johnson",               "Male"
+ "Joseph Marshall Walker",      "Male"
+ "Paul Octave Hébert",          "Male"
+ "Thomas Overton Moore",        "Male"
+ "George Foster Shepley",       "Male"
+ "Henry Watkins Allen",         "Male"
+ "Michael Hahn",                "Male"
+ "Benjamin Flanders",           "Male"
+ "P. B. S. Pinchback",          "Male"
+ "William Pitt Kellogg",        "Male"
+ "William Wright Heard",        "Male"
+ "Jared Y. Sanders Sr.",        "Male"
+ "Jared Y. Sanders Jr.",        "Male"
+ "Huey Long",                   "Male"
+ "Rose McConnell Long",         "Female"
+ "Jimmie Davis",                "Male"
+ "Earl Long",                   "Male"
+ "Fannie Belle Fleming",        "Female"
+ "Edwin Edwards",               "Male"
+ "Kathleen Blanco",             "Female"
+ "Jeff Landry",                 "Male"
+}
+
+ruler_titles = {
+ "government",      "male_title",         "female_title"
+ "Monarchy",        _("Kingfish %s"),     _("Queenfish %s")
+ "Republic",        _("Governeror %s"),   _("?female:Governeror %s")
+ "Democracy",       _("Speaker %s"),      _("?female:Speaker %s")
+ "Fundamentalism",  _("Reverend %s"),     _("?female:Reverend %s")
+}
+
+flag = "louisiana"
+flag_alt = "-"
+style = "Celtic"
+
+init_techs = ""
+init_buildings = ""
+init_units = ""
+
+civilwar_nations = "confederate", "american"
+
+cities =
+ "Baton Rouge (river, swamp, !desert, !hills, !mountains)",
+ "New Orleans (ocean, river, swamp, !desert)",
+ "Shreveport",
+ "Lafayette",
+ "Lake Charles (!ocean)",
+ "Kenner",
+ "Bossier City",
+ "Monroe",
+ "Alexandria",
+ "Houma",
+ "Central",
+ "Slidell",
+ "New Iberia",
+ "Ruston",
+ "Sulphur",
+ "Hammond",
+ "Zachary",
+ "Natchitoches",
+ "Gretna",
+ "Thibodaux",
+ "Youngsville",
+ "Opelousas",
+ "Pineville (forest)",
+ "Broussard",
+ "Mandeville",
+ "West Monroe",
+ "Baker",
+ "Gonzales",
+ "Minden",
+ "Crowley",
+ "Covington",
+ "Morgan City",
+ "Abbeville",
+ "Bogalusa",
+ "DeRidder",
+ "Jennings",
+ "Bastrop",
+ "Eunice",
+ "Denham Springs",
+ "Carencro",
+ "Harahan",
+ "Westwego",
+ "Scott",
+ "Ponchatoula",
+ "Breaux Bridge (river)",
+ "Rayne",
+ "Addis",
+ "Franklin",
+ "Donaldsonville",
+ "Oakdale",
+ "St. Gabriel",
+ "Walker",
+ "Ville Platte",
+ "Tallulah",
+ "Plaquemine (mountains)",
+ "Patterson",
+ "Leesville",
+ "St. Martinville",
+ "Grambling",
+ "Marksville",
+ "Port Allen (ocean)",
+ "Winnsboro",
+ "Jeanerette",
+ "Springhill (hills)",
+ "Westlake (!ocean)",
+ "Berwick",
+ "Mansfield",
+ "New Roads",
+ "Haughton",
+ "Kaplan",
+ "Church Point",
+ "Jena",
+ "Winnfield",
+ "Jonesboro",
+ "Vidalia",
+ "Amite City",
+ "Jackson",
+ "Ball",
+ "Richwood",
+ "Franklinton",
+ "Lake Provdence",
+ "Blanchard",
+ "Iowa",
+ "Vinton",
+ "Farmerville (plains)",
+ "Rayville",
+ "Bunkie",
+ "Welsh",
+ "Ferriday",
+ "Greenwood",
+ "DeQuincy",
+ "Lutcher",
+ "Vivian",
+ "Gramercy",
+ "Sunset",
+ "Homer",
+ "Arcadia",
+ "Abita Springs",
+ "Delhi",
+ "Lake Arthur",
+ "Brusly",
+ "Many",
+ "Pearl River (River)",
+ "Lockport",
+ "Stonewall",
+ "New Llano",
+ "Kinder",
+ "Kentwood",
+ "Maurice",
+ "Benton",
+ "Haynesville",
+ "Erath",
+ "Cottonport",
+ "Sterlington",
+ "Livingston",
+ "Jean Lafitte",
+ "Delcambere",
+ "Baldwin",
+ "Woodworth (Forest)",
+ "Golden Meadow",
+ "Coushatta",
+ "Port Barre",
+ "Jonesville",
+ "White Castle",
+ "Zwolle",
+ "Independence"
diff --git a/meson.build b/meson.build
index 8846c8e754..6a33a86bb6 100644
--- a/meson.build
+++ b/meson.build
@@ -1825,6 +1825,7 @@ nations = [
   'lithuanian',
   'lojbanistani',
   'lorrain',
+  'louisianian',
   'luhansk',
   'luwian',
   'luxembourgish',
@@ -2616,6 +2617,7 @@ flags = [
   'lippe',
   'lithuania',
   'lorraine',
+  'louisiana',
   'luhansk',
   'luik',
   'luna',
diff --git a/translations/nations/POTFILES.in b/translations/nations/POTFILES.in
index 2956a197ca..2e67b74691 100644
--- a/translations/nations/POTFILES.in
+++ b/translations/nations/POTFILES.in
@@ -263,6 +263,7 @@ data/nation/lippe.ruleset
 data/nation/lithuanian.ruleset
 data/nation/lojbanistani.ruleset
 data/nation/lorrain.ruleset
+data/nation/louisianian.ruleset
 data/nation/luhansk.ruleset
 data/nation/luwian.ruleset
 data/nation/luxembourgish.ruleset
-- 
2.43.0