From 449328cc42c74e6b307eda5a126789afa671d08d Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 11 Apr 2024 05:53:44 +0300
Subject: [PATCH 48/48] HOWTOPLAY: Remove double spaces

See RM #436

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 doc/HOWTOPLAY | 116 +++++++++++++++++++++++++-------------------------
 1 file changed, 58 insertions(+), 58 deletions(-)

diff --git a/doc/HOWTOPLAY b/doc/HOWTOPLAY
index 43e2504be1..0fe1ffcb49 100644
--- a/doc/HOWTOPLAY
+++ b/doc/HOWTOPLAY
@@ -14,15 +14,15 @@ start by reading the Freeciv Manual, available separately at:
 If you're looking for ideas on playing Freeciv, then keep reading!!
 
 	Now that you have Freeciv running, you'll want to play your
-first few games.  It is recommended that you try playing solitaire a
+first few games. It is recommended that you try playing solitaire a
 few times, so that you can get a feel for how things work, but this is
-not necessary.  You can also learn by playing with others or against
+not necessary. You can also learn by playing with others or against
 the AI.
 
 Q: Can you give me a basic strategy?
 
 	First of all, this isn't a *perfect* strategy; it's not
-even a very good one.  But it will get you started playing Freeciv.
+even a very good one. But it will get you started playing Freeciv.
 Part of the appeal of Freeciv is in developing new strategies.
 
 	The game is divided into several stages:
@@ -35,58 +35,58 @@ Part of the appeal of Freeciv is in developing new strategies.
 
 Initial Expansion:
 
-	This phase is the most critical.  The first thing you want to
-do is build cities and explore your island.  You want lots of cities,
+	This phase is the most critical. The first thing you want to
+do is build cities and explore your island. You want lots of cities,
 seven or eight at the least.
 
         The name of the game is to tie down as many squares of land as
-possible.  When building a city, make sure that you don't overlap too
-much with territory from one of your other cities.  You can see which
-squares are being used by a city by clicking on it.  The map of the
-city and the surrounding area contains that city's territory.  Keeping
-this in mind, try to keep your cities fairly close together.  The
+possible. When building a city, make sure that you don't overlap too
+much with territory from one of your other cities. You can see which
+squares are being used by a city by clicking on it. The map of the
+city and the surrounding area contains that city's territory. Keeping
+this in mind, try to keep your cities fairly close together. The
 further apart they are, the more difficult they are to defend and
-administer at this stage.  (Tip: Try to build on horses or near fish.)
+administer at this stage. (Tip: Try to build on horses or near fish.)
 
         Now that you have a city or two, you'll want to set the science
-rate as high as your government type will allow.  Don't worry about
+rate as high as your government type will allow. Don't worry about
 the tax rate, since you won't be building any improvements to drain
-your cash; you'll be building settlers.  Every city should be churning
-out settlers.  The more settlers you make, the more cities you can
+your cash; you'll be building settlers. Every city should be churning
+out settlers. The more settlers you make, the more cities you can
 have; the more cities you have, the faster you gain tech; the faster
-you gain tech, the faster you win.  After you have built as many
+you gain tech, the faster you win. After you have built as many
 cities as your corner of the world will hold, turn the settlers to
 irrigating and building roads.
 
-(Note:	If the food surplus in a city drops to +1 from supporting
+(Note:If the food surplus in a city drops to +1 from supporting
 too many settlers, and you can't rearrange people to increase it, then
-switch them to building temples.  Unless you make contact with another
+switch them to building temples. Unless you make contact with another
 player, don't worry about building military units just yet.)
 
 	All this time, you have been gaining techs as fast as
-possible.  What you should be shooting for is first "The Republic",
+possible. What you should be shooting for is first "The Republic",
 then "Democracy", then "Railroad", and then "Industrialization".
-(Some people go for Monarchy before The Republic).  As soon as
+(Some people go for Monarchy before The Republic). As soon as
 you've researched a new government type, start a revolution and change
-over to it.  Cities operate much better as Republics than they do
+over to it. Cities operate much better as Republics than they do
 under Despotism, but note that it's much harder to keep military
-units outside of city limits under a Republic.  Also, don't forget to
+units outside of city limits under a Republic. Also, don't forget to
 recheck your rates after you've changed governments, as the maximums
 vary for each type.
 
 	When you get Democracy, you are equipped to go into the Second
-Expansion phase.  This is accomplished by changing the government to a
+Expansion phase. This is accomplished by changing the government to a
 Democracy, making all cities build temples, and setting the luxury
-rate to 100%.  When you do this, all cities will immediately begin
+rate to 100%. When you do this, all cities will immediately begin
 celebrating, and will grow at a rate of one per turn as long as
-there is surplus food.  When they've gotten big enough, set the luxury
-down to a reasonable level of 20-40%.  This places you in the Second
+there is surplus food. When they've gotten big enough, set the luxury
+down to a reasonable level of 20-40%. This places you in the Second
 Expansion phase.
 
 	The down-side to this is that setting luxury to 100% means
-that your science research will all but stop.  After your cities have
+that your science research will all but stop. After your cities have
 grown, and you put science back up to 50% or so, you will again gain
-techs, but at a slightly slower rate.  If you have done some
+techs, but at a slightly slower rate. If you have done some
 exploring, and are not immediately threatened by another player, it
 can be a good idea to keep science at maximum until techs start to
 take too long to generate.
@@ -94,35 +94,35 @@ take too long to generate.
 Second Expansion Phase:
 
 	When you get your cities to a good sized population, wean them
-off luxuries gradually and increase taxes.  Once they're down to 30%
+off luxuries gradually and increase taxes. Once they're down to 30%
 luxury or so, put as much of the taxes as you can into science, while
-maintaining a positive income.  When you get railroad, turn all your
+maintaining a positive income. When you get railroad, turn all your
 roads into rails, or at least the squares used for production, or
-those that form part of a transport network.  (Tip: turn every square
+those that form part of a transport network. (Tip: turn every square
 used by a city into a road/rail, it increases that city's output.
 There's no need to upgrade the very centre square - that's done
 automatically).
 
 	Now is the time to develop industrialization, and military
-technologies.  You should also begin building cities on other islands,
+technologies. You should also begin building cities on other islands,
 and do some serious exploring if you have not already done so.  You
-need to find out where your enemies are.  Go for techs good for ships,
-and try to build Magellan's Expedition.  When you feel ready, go into:
+need to find out where your enemies are. Go for techs good for ships,
+and try to build Magellan's Expedition. When you feel ready, go into:
 
 Production Phase:
 
 	Now you're building factories and power plants in your cities.
 You want to get as much production as possible out of each city.
-Pollution becomes a problem.  As soon as you can, try to research Mass
+Pollution becomes a problem. As soon as you can, try to research Mass
 Production for Mass Transits, and Recycling so you can build
-Recycling Centers.  Once you've got all your cities going strong, you
+Recycling Centers. Once you've got all your cities going strong, you
 must build military units. (Note: If you come into contact with
 another player, you should immediately build a few attack units, and
 at least one defense unit per city.)
 
 	When you want to begin thinking about attacking someone, set
 science to 0%, and put raise taxes as high as you can without
-provoking disorder.  Remember, money can build units too!
+provoking disorder. Remember, money can build units too!
 
 
 Utter Annihilation of Your Enemies Phase:
@@ -131,12 +131,12 @@ Utter Annihilation of Your Enemies Phase:
 advanced weapons.
 
 	Pick a relatively weak enemy, and send over a few ship-loads of
-troops.  Take over their cities, and use them to build more units to
-take out the rest of them with.  Show no quarter!  To the death!
+troops. Take over their cities, and use them to build more units to
+take out the rest of them with. Show no quarter! To the death!
 
 Repeat as often as necessary! ;-)
 
-[Note for pacifists:  Freeciv also allows a player to win by building
+[Note for pacifists: Freeciv also allows a player to win by building
 and launching a spaceship which arrives at Alpha Centauri before anyone
 else.]
 
@@ -155,14 +155,14 @@ Plus, the Freeciv online help describes another strategy.
 
 Q. In multiplayer games, what timeout should I set?
 
-	That depends upon the number of players.  If there are just
-two of you playing, you can usually get away with using timeout 0.  If
+	That depends upon the number of players. If there are just
+two of you playing, you can usually get away with using timeout 0. If
 there are more than two, or if one of the two is going to be away from
 their terminal at random intervals and you don't want to halt play, a
-timeout of 60 seconds is usually sufficient.  Later in the game,
+timeout of 60 seconds is usually sufficient. Later in the game,
 however, as things get more complex, you may want to extend the
-timeout to 240 seconds.  In general, the more players you have, the
-longer a timeout you will need.  Feel free to set whatever timeout
+timeout to 240 seconds. In general, the more players you have, the
+longer a timeout you will need. Feel free to set whatever timeout
 seems comfortable, but remember that going above 300 will tend to
 bother people.
 
@@ -170,23 +170,23 @@ bother people.
 Q. What size map should I use?
 
 	The map size depends upon how many players there are, and how
-fast you want the game to end.  The default map size (80x50) is big
+fast you want the game to end. The default map size (80x50) is big
 enough for a fairly quick two player game, but will result in a *very*
 fast game if any more than three people are participating.
 
 	Fast games tend to be frustrating for everyone but the winner,
-as nobody has really had any time to develop any defense.  If you have
-more than three people playing, you should use an 80x80 map.  If you
+as nobody has really had any time to develop any defense. If you have
+more than three people playing, you should use an 80x80 map. If you
 have five or more people, you probably want to consider one that's
 100x100.
 
 
 Q. What is that "generator" option?
 
-	It alters the map generation process.  If you play Freeciv
+	It alters the map generation process. If you play Freeciv
 a few times without changing this setting, you are sure to hear of (or
-experience) the horrors of a tiny island.  Tiny Island Syndrome (TIS)
-is known to make people go insane.  To fix this, our kind and loving
+experience) the horrors of a tiny island. Tiny Island Syndrome (TIS)
+is known to make people go insane. To fix this, our kind and loving
 coders installed the generator option.
 - When set to RANDOM, it creates the map using a random height generator,
   with islands of different (and potentially unfair) sizes.
@@ -194,7 +194,7 @@ coders installed the generator option.
   generator. This means that the mountains and the hills will be
   placed according to everlasting mathematical figures.
 - ISLAND generates islands of equal size (sometimes with some smaller
-  islands thrown in).  This way, nobody can whine about losing "on
+  islands thrown in). This way, nobody can whine about losing "on
   account of that d**ned island."
 - SCENARIO is used for premade maps. (Load a map by typing in
   /load /dir/savegame.sav.gz in the input field at the bottom of the
@@ -216,10 +216,10 @@ Q. Should I make the game easier by increasing the starting gold?
 
 	If you are inexperienced, and are playing with inexperienced
 people, probably no one will object to an increase in the amount of
-gold they start with.  This is, however, not a good way to learn how
-to play.  Starting out with lots of money makes the game much easier,
+gold they start with. This is, however, not a good way to learn how
+to play. Starting out with lots of money makes the game much easier,
 and makes it more difficult for you to learn how to cope with the
-default amount.  Most experienced players don't increase this setting,
+default amount. Most experienced players don't increase this setting,
 and if they know how to cope with it and you don't, you are going to
 go the way of Atlantis.
 
@@ -230,9 +230,9 @@ settings.
 Q. What about those other settings?
 
 	The rest of them mainly have to do with what sort of world
-will be generated and game mechanics.  Increasing "specials" gives you
+will be generated and game mechanics. Increasing "specials" gives you
 a high chance of resources/square, and huts determines how many
-freebie huts there are.  Increasing the amount of settlers or
+freebie huts there are. Increasing the amount of settlers or
 explorers one starts with makes the game go faster, and allows people
 to survive "those $#@! barbarians" which sometimes live in huts.
 
@@ -247,11 +247,11 @@ map, higher "deserts" means more deserts, etc.
 
 Q. How do I get _____ tech?
 
-Look the tech up in the online help.  It will show you the
+Look the tech up in the online help. It will show you the
 technologies you need to get first.
 
 You could read the technology ruleset in
-'data/classic/techs.ruleset'.  It shows a list of all the techs,
+'data/classic/techs.ruleset'. It shows a list of all the techs,
 and what techs are necessary to get them.
 
 
-- 
2.43.0