From 329a26642cf9bdab9ee7889b6bdedf5ab54943cb Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sun, 14 Apr 2024 17:19:14 +0300
Subject: [PATCH 53/53] Bump .modpack capstr

See RM #456

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 common/modpack.h           | 2 +-
 data/alien.modpack         | 2 +-
 data/civ1.modpack          | 2 +-
 data/civ2.modpack          | 2 +-
 data/civ2civ3.modpack      | 2 +-
 data/classic.modpack       | 2 +-
 data/default.modpack       | 2 +-
 data/goldkeep.modpack      | 2 +-
 data/granularity.modpack   | 2 +-
 data/multiplayer.modpack   | 2 +-
 data/sandbox.modpack       | 2 +-
 data/stub.modpack          | 2 +-
 data/webperimental.modpack | 2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/common/modpack.h b/common/modpack.h
index ae1680f61e..8554afb316 100644
--- a/common/modpack.h
+++ b/common/modpack.h
@@ -17,7 +17,7 @@
 extern "C" {
 #endif /* __cplusplus */
 
-#define MODPACK_CAPSTR "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+#define MODPACK_CAPSTR "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 #define MODPACK_SUFFIX ".modpack"
 
diff --git a/data/alien.modpack b/data/alien.modpack
index f3d49a3581..3a7d2bce83 100644
--- a/data/alien.modpack
+++ b/data/alien.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/civ1.modpack b/data/civ1.modpack
index af572009a9..2434cff794 100644
--- a/data/civ1.modpack
+++ b/data/civ1.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/civ2.modpack b/data/civ2.modpack
index ae65fadd21..03184509ae 100644
--- a/data/civ2.modpack
+++ b/data/civ2.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/civ2civ3.modpack b/data/civ2civ3.modpack
index 8b4152fb21..3cf697bae2 100644
--- a/data/civ2civ3.modpack
+++ b/data/civ2civ3.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/classic.modpack b/data/classic.modpack
index 0b11610c6c..db7b88d686 100644
--- a/data/classic.modpack
+++ b/data/classic.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/default.modpack b/data/default.modpack
index f9e952feda..6af35471e2 100644
--- a/data/default.modpack
+++ b/data/default.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/goldkeep.modpack b/data/goldkeep.modpack
index 3d4d82a514..fb529bc252 100644
--- a/data/goldkeep.modpack
+++ b/data/goldkeep.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/granularity.modpack b/data/granularity.modpack
index ef49719db9..7fcd39dca1 100644
--- a/data/granularity.modpack
+++ b/data/granularity.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/multiplayer.modpack b/data/multiplayer.modpack
index 2e7fdedc52..dd470436e3 100644
--- a/data/multiplayer.modpack
+++ b/data/multiplayer.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/sandbox.modpack b/data/sandbox.modpack
index 58faf8b25b..d9baeeb4a2 100644
--- a/data/sandbox.modpack
+++ b/data/sandbox.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/stub.modpack b/data/stub.modpack
index 87e4c02634..cd3e8edde4 100644
--- a/data/stub.modpack
+++ b/data/stub.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
diff --git a/data/webperimental.modpack b/data/webperimental.modpack
index 500d83f4bb..45ee90496d 100644
--- a/data/webperimental.modpack
+++ b/data/webperimental.modpack
@@ -1,6 +1,6 @@
 
 [datafile]
-options = "+Freeciv-modpack-3.2-Devel-2021.Jun.01"
+options = "+Freeciv-modpack-3.3-Devel-2024.Apr.14"
 
 [modpack]
 ; Name of the modpack
-- 
2.43.0